<?
if($ku['id']!=4004040)
{
    echo'<div class="block">Ивент завершен.</div>';
    include_once'inc/foot.php';
}
$ivent =mysql_fetch_array(mysql_query("SELECT * FROM `ivent_6farm` WHERE `id_user` = '$ku[id]'"));
  $summa = ($ivent['number_1']+$ivent['number_2']+$ivent['number_3']+$ivent['number_4']+$ivent['number_5']+$ivent['number_6']);
if(isset($_GET['GivePresent6']))
{
    if($summa>=6 && $ivent['priz_6']!=1)
    {
mysql_query('UPDATE `ivent_6farm` SET `priz_6` = "1" WHERE `id_user`="'.$ku['id'].'"');
          mysql_query("INSERT INTO `kolhoz_ground` SET `id_user` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_ground` SET `id_user` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_ground` SET `id_user` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_ground` SET `id_user` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_ground` SET `id_user` = '$ku[id]'");

          mysql_query("UPDATE `kolhoz_user` SET `animal_ticket` =  `animal_ticket`+3 WHERE `id` = '".$ku['id']."'");

      $_SESSION['msg']='Получены награды:[li]- "Животный" билет (3 шт.)[/li][li]- Грядки (5 шт.)[/li]';
  
header('location:/?6farm'); 
}
}
if(isset($_GET['GivePresent5']))
{
    if($summa>=5 && $ivent['priz_5']!=1)
    {
mysql_query('UPDATE `ivent_6farm` SET `priz_5` = "1" WHERE `id_user`="'.$ku['id'].'"');
    $timee=(3600*24*7);
    mysql_query("UPDATE `kolhoz_user` SET `time_vip` = '".($ku['time_vip']>$time?"".($ku['time_vip']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");

          mysql_query("UPDATE `kolhoz_user` SET `bonus_ticket` =  `bonus_ticket`+3 WHERE `id` = '".$ku['id']."'");

      $_SESSION['msg']='Получены награды:[li]- Бонусный билет (3 шт.)[/li][li]- VIP-Статус (7 дней)[/li]';
  
header('location:/?6farm'); 
}
}
if(isset($_GET['GivePresent3']))
{
    if($summa>=3 && $ivent['priz_3']!=1)
    {
mysql_query('UPDATE `ivent_6farm` SET `priz_3` = "1" WHERE `id_user`="'.$ku['id'].'"');
     $timee=(3600*24*7);
    mysql_query("UPDATE `kolhoz_user` SET `money2x_time` = '".($ku['money2x_time']>$time?"".($ku['money2x_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");

          mysql_query("UPDATE `kolhoz_user` SET `animal_ticket` =  `animal_ticket`+1 WHERE `id` = '".$ku['id']."'");

      $_SESSION['msg']='Получены награды:[li]- "Животный" билет (1 шт.)[/li][li]- Двойной доход (7 дней)[/li]';
  
header('location:/?6farm'); 
}
}
if(isset($_GET['go']))
{
    if($ivent['cupon']>0)
    {
      $rand = rand(1,30);
  if($rand==1)mysql_query('UPDATE `ivent_6farm` SET `number_1` = "1" WHERE `id_user`="'.$ku['id'].'"');
        if($rand==2)mysql_query('UPDATE `ivent_6farm` SET `number_2` = "1" WHERE `id_user`="'.$ku['id'].'"');
  if($rand==3)mysql_query('UPDATE `ivent_6farm` SET `number_3` = "1" WHERE `id_user`="'.$ku['id'].'"');
  if($rand==4)mysql_query('UPDATE `ivent_6farm` SET `number_4` = "1" WHERE `id_user`="'.$ku['id'].'"');
  if($rand==5)mysql_query('UPDATE `ivent_6farm` SET `number_5` = "1" WHERE `id_user`="'.$ku['id'].'"');
  if($rand==6)mysql_query('UPDATE `ivent_6farm` SET `number_6` = "1" WHERE `id_user`="'.$ku['id'].'"');
      mysql_query('UPDATE `ivent_6farm` SET `cupon`=  "'.($ivent['cupon']-1).'" WHERE `id_user`="'.$ku['id'].'"');

      $_SESSION['msg']='Выпало число: [color=yellow]'.$rand.'[/color]';
  
header('location:/?6farm'); 
}
}
echo '<div class="event"><h1>Ивент "6 грядок"</h1></div>';
echo '<div class="block">';
  echo'<li>Ивент <span class="title">"6-грядок"</span> возвращается! Только в период <span class="title">с 8 по 22 января</span>, и только ценные призы. <span class="title">Закрой числа и забери все награды!</a></span></li></div>';
echo '<div class="block">У вас: <span class="title">'.$ivent['cupon'].'</span> купона (-ов)';
if($ivent['cupon']>0)echo '<li><a href="/?6farm&go">Использовать 1 купон</a></li>';
echo'</div>';
if($summa>=3)echo'<div class="block">';
if($summa>=3 && $ivent['priz_3']!=1)echo '<li><img width="16" src="/images/icons/present.png"> <a href="/?6farm&GivePresent3">Получить награду за 3 числа</a></li>';
if($summa>=5 && $ivent['priz_5']!=1)echo '<li><img width="16" src="/images/icons/present.png"> <a href="/?6farm&GivePresent5">Получить награду за 5 чисел</a></li>';
if($summa>=6 && $ivent['priz_6']!=1)echo '<li><img width="16" src="/images/icons/present.png"> <a href="/?6farm&GivePresent6">Получить награду за 6 чисел</a></li>';
if($summa>=3)echo'</div>';
echo '<div class="block">';
if($ivent['number_1']>0)echo '<img src="/pavelgrey/img/ivent/1.png" alt="o"></a> ';
if($ivent['number_1']<1)echo '<img src="/pavelgrey/img/ivent/1_no.png" alt="o"></a> ';
if($ivent['number_2']>0)echo '<img src="/pavelgrey/img/ivent/2.png" alt="o"></a> ';
if($ivent['number_2']<1)echo '<img src="/pavelgrey/img/ivent/2_no.png" alt="o"></a> ';
if($ivent['number_3']>0)echo '<img src="/pavelgrey/img/ivent/3.png" alt="o"></a> ';
if($ivent['number_3']<1)echo '<img src="/pavelgrey/img/ivent/3_no.png" alt="o"></a> ';
echo'<li class="pavelgrey">';
if($ivent['number_4']>0)echo '<img src="/pavelgrey/img/ivent/4.png" alt="o"></a> ';
if($ivent['number_4']<1)echo '<img src="/pavelgrey/img/ivent/4_no.png" alt="o"></a> ';
if($ivent['number_5']>0)echo '<img src="/pavelgrey/img/ivent/5.png" alt="o"></a> ';
if($ivent['number_5']<1)echo '<img src="/pavelgrey/img/ivent/5_no.png" alt="o"></a> ';
if($ivent['number_6']>0)echo '<img src="/pavelgrey/img/ivent/6.png" alt="o"></a> ';
if($ivent['number_6']<1)echo '<img src="/pavelgrey/img/ivent/6_no.png" alt="o"></a></li> ';
echo '</div>';
echo '<div class="block">';
echo'<span class="title">Подробности проведения:</span>';
echo '<li>- <a href="/?6farm&help1">Как принять участие в ивенте?</a></li>';
if(isset($_GET['help1']))
{
    echo'<li class="pavelgrey">Для того чтобы принять участие в ивенте, достаточно нажать на кнопку <span class="title">"Использовать купон"</span> и получить число. <br>Если число находится в диапозоне <span class="title">от 1 до 6</span> и не повторяется (они загораются зеленым) вы получите призы.<li class="pavelgrey">';
}
echo '<li>- <a href="/?6farm&help2">Как получить купоны для участия в игре?</a></li>';
if(isset($_GET['help2']))
{
    echo'<li class="pavelgrey">Купоны выдаются за: <br>- вход в игру <span class="title">(5 шт.)</span><br>- за покупку фермани (<a href="/?action">подробнее</a>)<br>- за каждое <span class="title">25 сообщение</span> в чате <span class="title">(2 шт.)</span><li class="pavelgrey">';
}
echo '<li>- <a href="/?6farm&help3">Какие призы?</a></li>';
if(isset($_GET['help3']))
{
    echo'<li class="pavelgrey">Собрав <span class="title">3 числа</span> вы получите: <img width="20" src="/pavelgrey/img/animal_ticket.png"> "Животный" билет <span class="title">(1 шт.)</span>, <img width="20" src="/pavelgrey/img/2xmoney.png"> Двойной доход <span class="title">(7 дней)</span>
    <br>Собрав <span class="title">5 чисел</span> вы получите: <img width="20" src="/pavelgrey/img/bonus_ticket.png"> Бонусный билет <span class="title">(3 шт.)</span>, <img width="20" src="https://cdn0.iconfinder.com/data/icons/kameleon-free-pack-rounded/110/Medal-2-20.png"> VIP-статус <span class="title">(7 дней)</span>
        <br>Собрав <span class="title">6 чисел</span> вы получите: <img width="20" src="/pavelgrey/img/animal_ticket.png"> "Животный" билет <span class="title">(3 шт.)</span>, <img width="20" src="/images/icons/plants.png"> Грядки <span class="title">(5 шт.)</span>

    <li class="pavelgrey">';
}
?>